Bug 226783 - Fix test expectations for plugin tests on arm64
Summary: Fix test expectations for plugin tests on arm64
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-06-08 14:36 PDT by Truitt Savell
Modified: 2021-06-16 10:42 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Truitt Savell 2021-06-08 14:36:22 PDT
the expectations to disable plugin tests on arm64 are currently located only in the Mac-wk2 directory. they should be in the overall Mac directory instead
Comment 1 Radar WebKit Bug Importer 2021-06-08 14:36:40 PDT
<rdar://problem/79035445>
Comment 2 Truitt Savell 2021-06-08 14:41:48 PDT
Changed these expectations in https://trac.webkit.org/changeset/278629/webkit
Comment 3 Truitt Savell 2021-06-09 10:43:00 PDT
fixed another expectation: https://trac.webkit.org/changeset/278666/webkit
Comment 4 Truitt Savell 2021-06-10 13:13:48 PDT
skipped tiled-drawing/scrolling/non-fast-region/wheel-event-plugin.html in https://trac.webkit.org/changeset/278725/webkit
Comment 5 Amir Mark Jr 2021-06-16 10:42:29 PDT
Skipped these tests in https://trac.webkit.org/changeset/278939/webkit :

fast/frames/sandboxed-iframe-plugins.html
http/tests/security/cross-origin-plugin-private-browsing-toggled-allowed.html
http/tests/security/cross-origin-plugin-private-browsing-toggled.html
http/tests/security/storage-blocking-loosened-private-browsing-plugin.html
http/tests/security/storage-blocking-strengthened-private-browsing-plugin.html